Support Questions
Find answers, ask questions, and share your expertise

Upgrading Ambari to 2.5 - Unable to locate ambari-metrics-grafana & ambari-metrics-collector

Expert Contributor

Im using Ubuntu 14.

I am upgrading ambari from 2.4 to 2.5. When upgrading ambari metrics and ambari grafana I get the following error messages:

Unable to locate package ambari-metrics-collector

Unable to locate package ambari-metrics-grafana

Im following the upgrade documentation from here: https://docs.hortonworks.com/HDPDocuments/Ambari-2.5.0.3/bk_ambari-upgrade/content/upgrade_ambari_me...

If I run sudo apt-cache showpkg ambari-*

I do get some ambari packages but not these two. What am I missing?

1 ACCEPTED SOLUTION

Accepted Solutions

Re: Upgrading Ambari to 2.5 - Unable to locate ambari-metrics-grafana & ambari-metrics-collector

Expert Contributor

@marko

Just 'apt-get install ambari-metrics-assembly' should be sufficient for upgrading Ambari metrics on Ubuntu 14. Can you confirm by checking the ambari-metrics-*.jar versions in /usr/lib/ambari-metrics-collector.

root@avijayan-ubuntu-1:~# ls /usr/lib/ambari-metrics-collector/ambari-metrics-*
/usr/lib/ambari-metrics-collector/ambari-metrics-common-2.5.0.3.7.jar  /usr/lib/ambari-metrics-collector/ambari-metrics-timelineservice-2.5.0.3.7.jar

View solution in original post

3 REPLIES 3

Re: Upgrading Ambari to 2.5 - Unable to locate ambari-metrics-grafana & ambari-metrics-collector

New Contributor

Encountering the exact same currently, also on Ubuntu 14 and also upgrading from 2.4 to 2.5, any help greatly appreciated.

Re: Upgrading Ambari to 2.5 - Unable to locate ambari-metrics-grafana & ambari-metrics-collector

Expert Contributor

@marko

Just 'apt-get install ambari-metrics-assembly' should be sufficient for upgrading Ambari metrics on Ubuntu 14. Can you confirm by checking the ambari-metrics-*.jar versions in /usr/lib/ambari-metrics-collector.

root@avijayan-ubuntu-1:~# ls /usr/lib/ambari-metrics-collector/ambari-metrics-*
/usr/lib/ambari-metrics-collector/ambari-metrics-common-2.5.0.3.7.jar  /usr/lib/ambari-metrics-collector/ambari-metrics-timelineservice-2.5.0.3.7.jar

View solution in original post

Re: Upgrading Ambari to 2.5 - Unable to locate ambari-metrics-grafana & ambari-metrics-collector

Expert Contributor

@Aravindan Vijayan yes, Ive done that part. Its been working since the upgrade. Maybe the documentation should be updated so it is not confusing. I remember running into sth similar whne upgrading to 2.4 last year.

Speaking of documentation, it should be more obvious with regards to grafana when upgrading from 2.5 to 2.6, since in 2.5 Grafana is already a part of the stack, but the upgrade docs consider it as a service that must be installed and not how to upgrade it (or if there is an upgrade).